%global commit c00d68bc83f3eee25cc4da60e41519c3ffc829ac
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname catkin-sphinx

Name:           python-catkin-sphinx
Version:        0.2.1
Release:        2.20130602git%{shortcommit}%{?dist}
Summary:        Sphinx plugins for Catkin projects

License:        BSD
URL:            https://github.com/ros/catkin-sphinx
Source0:        https://github.com/ros/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  python2-devel
Requires:       python-sphinx
BuildArch:      noarch


%description
Sphinx plugins for Catkin projects.


%prep
%setup -qn %{realname}-%{commit}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README.md
%{python_sitelib}/catkin_sphinx
%{python_sitelib}/catkin_sphinx-%{version}-py?.?.egg-info

%changelog
* Mon Jun 03 2013 Rich Mattes <richmattes@gmail.com> - 0.2.1-2.20130602gitc00d68b
- Change Python BuildRequires to python2-devel
- Don't try to remove RPM_BUILD_ROOT in install

* Sun Jun 02 2013 Rich Mattes <richmattes@gmail.com> - 0.2.1-1.20130602gitc00d68b
- Initial package
